%global debug_package %{nil}

Name: python-cachy
Epoch: 100
Version: 0.3.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Simple yet effective caching library
License: MIT
URL: https://github.com/sdispater/cachy/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Cachy provides a simple yet effective caching library.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-cachy
Summary: Simple yet effective caching library
Requires: python3
Provides: python3-cachy = %{epoch}:%{version}-%{release}
Provides: python3dist(cachy) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-cachy = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(cachy) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-cachy = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(cachy) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-cachy
Cachy provides a simple yet effective caching library.

%files -n python%{python3_version_nodots}-cachy
%license LICENSE
%{python3_sitelib}/cachy*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-cachy
Summary: Simple yet effective caching library
Requires: python3
Provides: python3-cachy = %{epoch}:%{version}-%{release}
Provides: python3dist(cachy) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-cachy = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(cachy) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-cachy = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(cachy) = %{epoch}:%{version}-%{release}

%description -n python3-cachy
Cachy provides a simple yet effective caching library.

%files -n python3-cachy
%license LICENSE
%{python3_sitelib}/cachy*
%endif

%changelog
